#include "dbus.h"

/* Return true on failure */
gboolean dbus_action(const char *name, const char *path_name, const char *interface_name, const char *method)
{
  DBusGConnection *bus;
  DBusGProxy      *proxy;
  GError          *error = NULL;

  g_type_init ();
  dbus_g_type_specialized_init ();

  bus = dbus_g_bus_get (DBUS_BUS_SESSION, &error);

  if (error) {
       g_log (G_LOG_DOMAIN, G_LOG_LEVEL_ERROR,
            "%s: Error acquiring session bus: %s",
            G_STRLOC, error->message);
       return TRUE;
  }

  proxy = dbus_g_proxy_new_for_name (bus,
                                                name,
                                                path_name,
                                                interface_name);
 
  
  dbus_g_proxy_call_no_reply (proxy, method,
                         G_TYPE_INVALID);

  return FALSE;
}
